Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system.pm
Class NullAttributePersistenceManager

    java.lang.Object
      org.jboss.system.pm.NullAttributePersistenceManager

All Implemented Interfaces:
  org.jboss.mx.persistence.AttributePersistenceManager

public class NullAttributePersistenceManager
extends Object
implements org.jboss.mx.persistence.AttributePersistenceManager

NullAttributePersistenceManager.

Version:
  $Revision: 1.2 $
Author:
  Dimitris Andreadis

Constructor Summary
`NullAttributePersistenceManager()`

Method Summary
`void` | `create(String version, Element config)`
`void` | `destroy()`
`boolean` | `exists(String id)`
`boolean` | `getState()`
`String[]` | `listAll()`
`javax.management.AttributeList` | `load(String id)`
`void` | `remove(String id)`
`void` | `removeAll()`
`void` | `store(String id, javax.management.AttributeList attrs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullAttributePersistenceManager

    public NullAttributePersistenceManager()

Method Detail

### create

    public void create(String version,
                       Element config)
                throws Exception

  Specified by:
    `create` in interface `org.jboss.mx.persistence.AttributePersistenceManager`
  Throws:
    `Exception`

### getState

    public boolean getState()

  Specified by:
    `getState` in interface `org.jboss.mx.persistence.AttributePersistenceManager`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.jboss.mx.persistence.AttributePersistenceManager`

### exists

    public boolean exists(String id)
                   throws Exception

  Specified by:
    `exists` in interface `org.jboss.mx.persistence.AttributePersistenceManager`
  Throws:
    `Exception`

### load

    public javax.management.AttributeList load(String id)
                                        throws Exception

  Specified by:
    `load` in interface `org.jboss.mx.persistence.AttributePersistenceManager`
  Throws:
    `Exception`

### store

    public void store(String id,
                      javax.management.AttributeList attrs)
               throws Exception

  Specified by:
    `store` in interface `org.jboss.mx.persistence.AttributePersistenceManager`
  Throws:
    `Exception`

### remove

    public void remove(String id)
                throws Exception

  Specified by:
    `remove` in interface `org.jboss.mx.persistence.AttributePersistenceManager`
  Throws:
    `Exception`

### removeAll

    public void removeAll()
                   throws Exception

  Specified by:
    `removeAll` in interface `org.jboss.mx.persistence.AttributePersistenceManager`
  Throws:
    `Exception`

### listAll

    public String[] listAll()
                     throws Exception

  Specified by:
    `listAll` in interface `org.jboss.mx.persistence.AttributePersistenceManager`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.